XcolorRegion(3)

NAME
XcolorRegion -

SYNOPSIS

#include <Xcm.h>

  Data Fields
uint32_t region
uint8_t md5 [16]

Detailed Description

The XcolorRegion typedefed structure describes a single region with an attached profile. The region is evaluated when the client enables the region and not when the region is atttached to the window. This allows clients to update the region (when the window is resized for example) by simply modifying the XserverRegion and then sending a ClientMessage.

Field Documentation

  uint8_t XcolorRegion::md5[16]
ICC MD5 of the associated profile

  uint32_t XcolorRegion::region
XserverRegion, network byte order

Author

Generated automatically by Doxygen for Xcm from the source code.